package com.icomsys.vo;

import java.util.Arrays;

public class SejongMmsSendRequest extends SejongLmsSendRequest {
    private byte[] imageFile1;
    private byte[] imageFile2;
    private byte[] imageFile3;
    private byte[] videoFile;

    public SejongMmsSendRequest() {}

    public SejongMmsSendRequest(String callback, String contents, String receiverTelNo, String userKey, String advertisementYn,
                                String title, byte[] imageFile1, byte[] imageFile2, byte[] imageFile3, byte[] videoFile) {
        super(callback, contents, receiverTelNo, userKey, advertisementYn, title); // 부모 클래스 생성자 호출
        this.imageFile1 = imageFile1;
        this.imageFile2 = imageFile2;
        this.imageFile3 = imageFile3;
        this.videoFile = videoFile;
    }

    public byte[] getImageFile1() {
        return imageFile1;
    }

    public void setImageFile1(byte[] imageFile1) {
        this.imageFile1 = imageFile1;
    }

    public byte[] getImageFile2() {
        return imageFile2;
    }

    public void setImageFile2(byte[] imageFile2) {
        this.imageFile2 = imageFile2;
    }

    public byte[] getImageFile3() {
        return imageFile3;
    }

    public void setImageFile3(byte[] imageFile3) {
        this.imageFile3 = imageFile3;
    }

    public byte[] getVideoFile() {
        return videoFile;
    }

    public void setVideoFile(byte[] videoFile) {
        this.videoFile = videoFile;
    }

    @Override
    public String toString() {
        return "SejongMmsSendRequest{" +
                "imageFile1=" + Arrays.toString(imageFile1) +
                ", imageFile2=" + Arrays.toString(imageFile2) +
                ", imageFile3=" + Arrays.toString(imageFile3) +
                ", videoFile=" + Arrays.toString(videoFile) +
                ", title='" + getTitle() + '\'' +
                ", callback='" + getCallback() + '\'' +
                ", contents='" + getContents() + '\'' +
                ", receiverTelNo='" + getReceiverTelNo() + '\'' +
                ", userKey='" + getUserKey() + '\'' +
                ", advertisementYn='" + getAdvertisementYn() + '\'' +
                '}';
    }
}